Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.objects
Class MergeObject

    java.lang.Object
      com.sun.mdm.index.objects.ObjectNode
          com.sun.mdm.index.objects.MergeObject

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public class MergeObject
extends ObjectNode

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sun.mdm.index.objects.ObjectNode
`indexMap, mChildrenHashMap, mChildTags, mFields, mParent, mParentTag, mPartOfIndex, mPosition, mTag, mVersion, serialVersionUID`

Constructor Summary
`MergeObject()` Creates new MergeObject
`MergeObject(java.lang.String mergeid, java.lang.String kepteuid, java.lang.String mergedeuid, java.lang.String mergetn, java.lang.String unmergetn)`

Method Summary
`java.lang.String` | `getKeptEUID()`
`java.lang.String` | `getMergedEUID()`
`java.lang.String` | `getMergeID()`
`java.lang.String` | `getMergeTransactionNumber()`
`java.lang.String` | `getUnMergeTransactionNumber()`
`void` | `setKeptEUID(java.lang.Object kepteuid)`
`void` | `setMergedEUID(java.lang.Object mergedeuid)`
`void` | `setMergeID(java.lang.Object mergeid)`
`void` | `setMergeTransactionNumber(java.lang.Object mergetn)`
`void` | `setUnMergeTransactionNumber(java.lang.Object unmergetn)`

Methods inherited from class com.sun.mdm.index.objects.ObjectNode
`add, addChild, addChildHard, addChildNoFlagSet, addChildren, addChildToTypeArrayList, clearChildrenForType, clearField, copy, createChildIndex, deleteChild, deleteChild, deleteChild, equals, equals, getAllChildrenFromHashMap, getChild, getChild, getChild, getChild, getChildKey, getChildrenForType, getChildSuperKey, getField, getFieldTypes, getFlag, getObjectId, getParent, getParentTag, getValue, getValueObject, hasFieldReadAccess, hasFieldUpdateAccess, hashCode, hasObjectAddAccess, hasObjectDeleteAccess, hasObjectReadAccess, hasObjectUpdateAccess, isAdded, isChanged, isKeyChanged, isKeyIndexable, isKeyType, isKeyValid, isNew, isNull, isNullable, isRegularKeyIndexable, isRemoved, isSearched, isUpdated, isVisible, obtainKey, obtainSuperKey, pGetChildren, pGetChildren, pGetChildTags, pGetFieldNames, pGetFields, pGetFieldUpdateLogs, pGetFieldValues, pGetFlagString, pGetKey, pGetSuperKey, pGetTag, pGetType, pGetType, readExternal, recalculateIndex, removeChild, removeChild, removeChildForType, removeChildIndex, removeChildren, removeChildren, reset, resetAll, setAddFlag, setChanged, setFieldReadAccess, setFieldUpdateAccess, setFieldUpdateLogs, setFlag, setKey, setKeyChangeFlag, setKeyType, setNull, setNullable, setObjectAddAccess, setObjectDeleteAccess, setObjectReadAccess, setObjectUpdateAccess, setParent, setRemoveFlag, setSearched, setUpdateFlag, setValue, setVisible, structCopy, toString, unChange, update, updateChild, updateIfChanged, updateIfNotEqual, updateIfNotNull, updateIfNotNull, writeExternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MergeObject

    public MergeObject()
                throws ObjectException

  Creates new MergeObject

  Throws:
    `ObjectException` - object exception

### MergeObject

    public MergeObject(java.lang.String mergeid,
                       java.lang.String kepteuid,
                       java.lang.String mergedeuid,
                       java.lang.String mergetn,
                       java.lang.String unmergetn)
                throws ObjectException

  Parameters:
    `mergeid` - merge id
    `kepteuid` - kept euid
    `mergedeuid` - merged euid
    `mergetn` - merge tn
    `unmergetn` - unmerge tn
  Throws:
    `ObjectException` - object exception

Method Detail

### getKeptEUID

    public java.lang.String getKeptEUID()
                                 throws ObjectException

  Returns:
    kept euid
  Throws:
    `ObjectException` - object exception

### getMergedEUID

    public java.lang.String getMergedEUID()
                                   throws ObjectException

  Returns:
    merged euid
  Throws:
    `ObjectException` - object exception

### getMergeID

    public java.lang.String getMergeID()
                                throws ObjectException

  Returns:
    String merge id
  Throws:
    `ObjectException` - object exception

### getMergeTransactionNumber

    public java.lang.String getMergeTransactionNumber()
                                               throws ObjectException

  Returns:
    merge transaction number
  Throws:
    `ObjectException` - object exception

### getUnMergeTransactionNumber

    public java.lang.String getUnMergeTransactionNumber()
                                                 throws ObjectException

  Returns:
    unmerge transaction number
  Throws:
    `ObjectException` - object exception

### setKeptEUID

    public void setKeptEUID(java.lang.Object kepteuid)
                     throws ObjectException

  Parameters:
    `kepteuid` - kept euid
  Throws:
    `ObjectException` - object exception

### setMergedEUID

    public void setMergedEUID(java.lang.Object mergedeuid)
                       throws ObjectException

  Parameters:
    `mergedeuid` - merged euid
  Throws:
    `ObjectException` - object exception

### setMergeID

    public void setMergeID(java.lang.Object mergeid)
                    throws ObjectException

  Parameters:
    `mergeid` - merge id
  Throws:
    `ObjectException` - object exception

### setMergeTransactionNumber

    public void setMergeTransactionNumber(java.lang.Object mergetn)
                                   throws ObjectException

  Parameters:
    `mergetn` - merge transaction number
  Throws:
    `ObjectException` - object exception

### setUnMergeTransactionNumber

    public void setUnMergeTransactionNumber(java.lang.Object unmergetn)
                                     throws ObjectException

  Parameters:
    `unmergetn` - unmerge transaction number
  Throws:
    `ObjectException` - object exception

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.